# TODO #
## GENERAL ##
* Write up thanks/credits. Warboy, XOPS, Etc.
* Rebalance Economy
* How to set final mission completion requirements / final message screen or movie
* Consider Explosive Jaegers, Floor burn for Disruptor.  Need corpses defined for explosive.
* Extra Facilities? Jaeger Bay, Psi Lab, Elerium Refinery?
* Do I want to let players reverse engineer marsec elerium items with elerium refinement? Plasma Carbine and E Missile are decent gear.
* personal armor bug ufopedia. Probably need to add a deletion.
* Portable Fusion Reactor for superheavy weapons as a possibility? Backpack sized sprite. 
## MILESTONES ##
* ~~Finish all Unit Sprites~~ ALL DRAFT 1 DONE.
* Finish all BIGOBS
* Finish all HANDOBS
* Finish all FLOOROBS
* Inventory Screens. Placeholders Created. 
* Sound Design
* Finish all Alien Races Rules
* Finish all equipment Rules
* Finish all XCom equip sprites
* Finish Research Tree
* Finish UFOPEDIA entires
* Xcom Crafts Complete
* Ufo Crafts Complete

## PRE-ALPHA 2 GOALS ##
------
* Basic Research Tree Complete based on Alpha 1 item sets - Skeleton may be done. Need to test.
* ~~Add shotgun to help with ufo clearing at tier 0~~
* UFOPedia entries for Alpha 1 item sets and aliens - Skeleton may be done. Need to test.
* Basic Item Manufacturing Implemented - Partially Done. Needs playtesting to confirm progress at this point.
* Alloy Fighter
* Prelim Playtest balance. in progress, getting wrecked ATM...
* CRAFTS
.* Dragonfly Dropship - Sprite/Basic map without MCD details set necessarily.
.* Rapier/Thunder - Change Front. Add new landing gear set. animated transparent grav lift.

## PRE-ALPHA 2 GOALS ##
------
* New Crafts
.* Mantis - dual zones possible, N and W Doors problematic.
.* Broadsword.
## ALPHA 1 GOALS ##
* UFOs / Maps
.* Juggernaught and mission
.* Sympathizer Van? Could replace SM scout.
.* Replace Medium Scout with Lightning.
.* Add tunneling craft. Would appear on land and not move. Abductions. Combine with new terror mission maps?
.* Dawn City added

### BIGOB ###
------
* Jaeger Missiles
* Spitter
* Spore Grenades
* Smart Rifle Clip
* Railgun Clip
* Compact Blaster Launcher Bombs
* Corpses
### HANDOB ###
------
* TAC RIFLE
* HEAVY RAILGUN
* SPITTER
* SPINEGUN
* SATCHEL CHARGE
* HYBRID PLASMA
* STORMGUN
* HEAVY RAILGUN
### FLOOROB ###
------
* TAC RIFLE
* HEAVY RAILGUN
* SPITTER
* SPINEGUN
* SPORES
* SATCHEL CHARGE
* ALIEN CORPSES
* JAEGER CORPSES (May be able to use source materials if I get creative)
### BULLETS ###
* COMPACT BLASTER
## CRAFT / VEHICLE ##
------
* Cannon - Should be substantially outranged by Alien Railgun.
* Railgun Vulcan should be higher output than cannon, better range, lower ROF.
* Alien Railgun Stats should be almost identical to vulcan but be lower rof. and slightly better range. Outranged by Stingray
* Stingray MK II Decrease Damage and Range Slightly. Increase Clip Size by 1. outranged by alien beam weapon
* Change laser to be continuous fire but lower damage? Medium Range. same range as stingray. Numbers feel weird on paper right now either too high or too low. Need to play test. 
* Alien Hybrid Beam - lower damage than plasma beam. Higher rof. Make medium range, but better than lasers. Just outside Stingray range. 
* Disruptor Beam - in-between Hybrid Beam and Alien missile for range.
* Alien standoff missile - Great range. Clip size of 5 great accuracy. lowish damage. Should be just slighly outranged by Avalanche
* Avalanche MK II standoff cruise missile - Longer range. Reduce clip size to 2. Boost Damage Slightly.
* Elerium based cruise missile from MARSEC Similar to fusion ball launcher but less accurate as it's conventional tech with advanced warhead.
* Smart Missile - Similar to fusion ball launcher. Advanced tech, but more conventional warhead. Superlong range.
* Juggernaught Yamato - Slow charge big gun.
* Make scouts faster
* Add a juggernaught alien ship? Needs it's own mission. Idea is something like cathedral ship to be shot down. Huge, powerful and would take several ships to shoot down. Spawns in last wave (8), immobile. set as infiltration mission?
* Add a low end / mid range option. Alloy Fighter.
* Interdictor class? Something like the single seat interceptor in TFTD. maybe a 4 seat interceptor for fast deployments. 
* Crafts with Better HWP Storage / Exits.
## DEPLOYMENTS ##
------
* Balance equipment levels for deployments
## RESEARCH ##
------
* Develop ideal order - Compare to original and work backwards
* Price out research hours
* Some items researchable but don't produce direct usability. Mostly Organics.
* Add alloy ammo for sniper rifle.
* Convert TAC RPG to waypoints if allowed

### Map Based Items for Research?###
* Organic Crystalline Structures (Power Source Production)
..- UFO Hybrid Power Source
...- Hybrid Power Structures
....- Stormgun Hybrid Battery
....- Hybrid Power Source 
* Quantum Typewriter
..- Hyperwave Decoder
* Sympathizer Laptop
 - get one free?

## MANUFACTURE ##
------
* TIME / Price / Requirements for all new equipment
* Jaeger requires a soldier corpse. Possibly a Mechtoid Corpse.
## UFOPEDIA ##
------
* Identify necessary entries
* Write Entries for all items
* Start a google doc
## UFO TRAJECTORIES ##
------
* Come up with sleeper trajectories
## ALIEN MISSIONS ##
------
* Figure out which missions go with which aliens
## WAVES ##
------
## ECONOMY ##
------
* Establish costs of all alien tech / corpses. Negative costs on some equipment for disposal? Spores, Zombies, Puffers.
* Reprice Elerium 50-150,000 per unit range until testing takes place
## QUESTIONS ##
------
what's the maximum agression level? Indicated by WarBoy that increasing the value past vanilla may yield even more aggressive melee units.
## IDEAS ##
------
* Isotope Refinement
* Final mission map, make brain tiles invulnerable so eliminating all aliens is necessary?
## BALANCE ##
------
* Aiming for a sort of rock, paper, scissors balance of units, tactics, and damage types, where the rules change as the game progresses.
* Feels like an xcom mid level weapon is missing in current set. Boost DE round damage? hybrid laser or plasma weapon?
* Final Weapon - Disruptor? Could have acid damage type. High output.
* Plasma and Lasers Devalued by Alien Armor resistances
* MARSEC and standard Armor devalued by Acid Vulnerability exploited by organic weapons
* Research energy resistant armors at level 2.
* Acid resistance can be researched at level 3 or 4 tech. 
* Improved AP and explosive weapons countered by higher health / conventional armor
* Sleepers - Standard weapons should work well enough - Conventional Arms
* Mechanoids - Plasma devalued. Lasers, explosives and AP are x1 damage. Stun Bonus - Railguns - Conventional Arms
* Fungoids - Explosives, Lasers and Plasma Devalued. AP x 1. Stun and Incindiary Bonus. Spitters/Spineguns
* Chimeras - Conventionally tough. Good armor and health. AP and HE resistant. Lasers and Plasma x 1. Hybrid Plasma Weapons. Compact Blaster Launcher.
* Cult - TBD. Final Mission only. Leader is multiform with shifting resistances/Health. High Priest should be Equivilant to Classic Flying Armor. Ethreal Cultists should be slightly tougher than Classic Ethreal Leader. Ethreal Cultists could be 2x2 units with energy shield, built in weapon. Functionally similar to Mechtoid with different stats.

## CREDITS ##
Gauss Weapon Graphics
Alt. Railgun Version
Satchel Charge
Moriarty Power Armor
Shotgun
Sniper Rifle
Anthropod Alien
GNUMBLR - Form 3 Base animation Gif
Shadics Pers Armor Recolor


## Base ##
------
* Quantum Particle Interceptor - Works as hyperwave decoder?
* Elerium Refinery